.content-container {
  background-color: #9e9e9e;
  display: flex;
  padding: 50px;
}

.filters {
  margin-bottom: 50px;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  gap: 10px;
}

.filters > select {
  color: #212121;
  outline: none;
  border: 2px solid #ccc;
  padding: 10px;
  min-width: 300px;
  min-height: 50px;
  font-size: 16px;
}

.filters > select > option {
  font-size: 16px;
}

.product-section {
  width: 100%;
  display: flex;
  flex-direction: column;
}

.grid {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
  gap: 1rem;
}

.product-card {
  box-shadow: 0 5px 5px 5px rgba(48, 48, 48, 0.2);
  background-color: #fff;
  padding: 1rem;
  border-radius: 5px;
  text-align: center;
}

.product-card img {
  width: 250px;
  height: 250px;
  transition: all .3s;
}

.product-card img:hover {
  transform: scale(1.05);
}

.product-card h3 {
  font-size: 16px;
  margin: 0.5rem 0;
  height: 50px;
  color: #0000008c;
}

.product-card .cotizar-btn {
  border: none;
  background-color: #1e1e55;
  color: #fff;
  font-size: 14px;
  margin: auto;
  width: 70%;
  padding: 10px 50px;
  border-radius: 5px;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: all 0.5s;
  cursor: pointer;
  text-decoration: none;
}

.product-card .cotizar-btn > i {
  font-size: 16px;
  margin-right: 5px;
}

.product-card .cotizar-btn:hover {
  background-color: #3d3d83;
  text-decoration: none;
}

/* DROPDOWN */

.dropdown-container {
  position: relative;
  display: inline-block;
}

.dropdown-toggle {
  background-color: #6d7074;
  color: white;
  padding: 6px 12px;
  margin-bottom: 20px;
  border: none;
  cursor: pointer;
  border-radius: 4px;
  font-size: 14px;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 8px;
  width: 100%;
  transition: all 0.3s;
}

.dropdown-toggle:hover {
  background-color: #949698;
}

.dropdown-toggle i {
  font-size: 12px;
  transition: transform 0.3s;
}



.dropdown-menu {
  display: none;
  position: absolute;
  top: 100%; 
  left: -80px;
  background-color: white;
  min-width: 300px;
  box-shadow: 0px 8px 16px rgba(0,0,0,0.2);
  z-index: 10;
  padding: 8px 0;
  border-radius: 4px;
  border: 1px solid #ccc;
  list-style: none;
}

.dropdown-menu li {
  padding: 8px 12px;
  cursor: pointer;
}

.dropdown-menu li:hover {
  background-color: #f2f2f2;
}

.pagination {
  display: flex;
  justify-content: center;
  margin-top: 2rem;
  gap: 0.5rem;
}

.pagination button {
  padding: 0.5rem 1rem;
  border: none;
  background-color: #bab5b5;
  font-weight: bold;
  color: #212121;
  cursor: pointer;
  border-radius: 3px;
}

.pagination button.active {
  background-color: #0056b3;
  color: #fff;
  cursor: default;
}

@media (max-width:650px) {
  .content-container{
    padding: 100px 20px;
  }

  .filters > select {
    min-height: 50px;
  }

  .filters > select > option {
    font-size: 10px;
  }
}